> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reqlick.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a workspace

> Retrieve a workspace by its URL.



## OpenAPI

````yaml GET /workspaces/{url}
openapi: 3.0.0
info:
  title: Reqlick API
  version: 1.0.0
  description: Reqlick API Documentation
servers:
  - url: https://api.reqlick.com
security:
  - bearerAuth: []
tags:
  - name: Documents
    description: Documents management
  - name: Domains
    description: Domains management
  - name: GoogleAuth
    description: Google Authentication
  - name: Links
    description: Links management
  - name: Payments
    description: Payments management
  - name: QRCodes
    description: QR Codes management
  - name: Resources
    description: Resources management
  - name: Subscriptions
    description: Subscription management
  - name: Users
    description: User management and authentication
  - name: Workspaces
    description: Workspaces management
paths:
  /workspaces/{url}:
    get:
      tags:
        - Workspaces
      summary: Get workspace by URL
      parameters:
        - in: path
          name: url
          required: true
          schema:
            type: string
          description: Workspace URL
      responses:
        '200':
          description: get workspace by URL
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The Workspace ID.
                    example: 1110580a82031111aaa03333
                  url:
                    type: string
                    description: The URL of the workspace.
                    example: reqlick-url
                  name:
                    type: string
                    description: The name of the workspace.
                    example: Reqlick
                  logo:
                    type: string
                    description: The logo of the workspace.
                    example: logo.png
                  status:
                    type: string
                    description: The member status of the current user.
                    example: ACCEPTED
                    enum:
                      - PENDING
                      - ACCEPTED
                      - DECLINED
                  role:
                    type: string
                    description: The member role of the current user.
                    example: MEMBER
                    enum:
                      - OWNER
                      - ADMIN
                      - MEMBER
                  subscriptionId:
                    type: string
                    description: The workspace subscription Id.
                    example: 1110580a82031111aaa03333
                  clicksLimit:
                    type: integer
                    description: The workspace clicks limit
                    example: 1000
                  stockageLimit:
                    type: integer
                    description: The workspace stockage limit
                    example: 10000
                  qrCodeLinksLimit:
                    type: integer
                    description: The workspace QR Code limit
                    example: 10
                  shortLinksLimit:
                    type: integer
                    description: The workspace short links limit
                    example: 100
                  plan:
                    type: string
                    description: The member plan
                    example: FREE
                    enum:
                      - FREE
                      - PRO
                      - CUSTOM
                  isPaymentFailed:
                    type: boolean
                    description: The subscription payment status
                    example: true
        '401':
          description: Authentication Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Authentication Error
                  feedback:
                    type: string
                    example: You are unauthenticated!
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````